package com.utcloud.cookengine;

/**
 * Created by lixingchen on 2019/12/27.
 */

public final class CookFunItem {
    CookFunItem(){}

    /**
     * 获取真实产品实例id
     * @return 返回真实产品实例id
     */
    public long getTrueProductId() {
        return trueProductId;
    }

    /**
     * 设置真实产品实例id
     * @param trueProductId 真实产品实例id
     */
    public void setTrueProductId(long trueProductId) {
        this.trueProductId = trueProductId;
    }

    /**
     * 获取函数名称
     * @return 返回函数名称
     */
    public String getFunName() {
        return funName;
    }

    /**
     * 设置函数名称
     * @param funName 函数名称
     */
    public void setFunName(String funName) {
        this.funName = funName;
    }

    /**
     * 获取函数参数内容
     * @return 函数参数内容
     */
    public String getParams() {
        return params;
    }

    /**
     * 设置函数参数内容
     * @param params 函数具体的参数
     */
    public void setParams(String params) {
        this.params = params;
    }

    /**
     * 获取命令码
     * @return 返回命令码
     */
    public String getCmdId() {
        return cmdId;
    }

    /**
     * 设置命令码
     * @param cmdId 命令码
     */
    public void setCmdId(String cmdId) {
        this.cmdId = cmdId;
    }

    @Override
    public String toString() {
        return "CookFunItem{" +
                "trueProductId=" + trueProductId +
                ", funName='" + funName + '\'' +
                ", params='" + params + '\'' +
                ", cmdId='" + cmdId + '\'' +
                '}';
    }

    private long trueProductId;
    private String funName;
    private String params;
    private String cmdId;
}
